Support
API ReferenceDomain MonetizationParking API

Endpoints for retrieving parking metrics and domain performance data.

List parking metrics

GET
/v1/customers/{customerId}/parking/metrics

Path Parameters

customerId*string

An identifier for a customer. A special alias MY is supported when accessing the authenticated customer's own data

Query Parameters

periodStartPtz?string

Start of range indicating what time-frame should be returned, inclusive. ISO 8601 date YYYY-MM-DD in PT. Default value is the day before current date

Formatdate
periodEndPtz?string

End of range indicating what time-frame should be returned, inclusive. ISO 8601 date YYYY-MM-DD in PT. Default value is the day before current date

Formatdate
limit?integer

Maximum number of items to return

Default20
Range1 <= value <= 200
offset?integer

Number of results to skip for pagination

Default0
Range0 <= value

Header Parameters

X-Request-Id?string

A unique identifier for the request

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.godaddy.com/v1/customers/string/parking/metrics"
{
  "currencyId": "USD",
  "metrics": [
    {
      "adClickCount": 4,
      "periodPtz": "2020-02-05",
      "revenue": 4000000,
      "visitCount": 22
    }
  ],
  "pagination": {
    "first": "string",
    "last": "string",
    "next": "string",
    "previous": "string",
    "total": 0
  }
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "retryAfterSec": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}

List domain metrics

GET
/v1/customers/{customerId}/parking/metricsByDomain

Path Parameters

customerId*string

An identifier for a customer. A special alias MY is supported when accessing the authenticated customer's own data

Query Parameters

startDate*string

Start of range indicating what time-frame should be returned, inclusive. ISO 8601 date YYYY-MM-DD

Formatdate
endDate*string

End of range indicating what time-frame should be returned, inclusive. ISO 8601 date YYYY-MM-DD

Formatdate
domains?string

An array of domains to filter the results. If this filter is not provided, all domains will be returned

domainLike?string

represent search keyword filtering domains. If not null, domains will be ignored

portfolioId?string

Unique identifier for the portfolio to filter the results. If not provided, all domains within all porfolios will be returned

Formatuuid
limit?integer

Maximum number of items to return

Default20
Range1 <= value <= 200
offset?integer

Number of results to skip for pagination

Default0
Range0 <= value

Header Parameters

X-Request-Id?string

A unique identifier for the request

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.godaddy.com/v1/customers/string/parking/metricsByDomain?startDate=2019-08-24&endDate=2019-08-24"
{
  "currencyId": "USD",
  "metrics": [
    {
      "adClickCount": 3,
      "domain": "example.com",
      "pageViewCount": 4,
      "revenue": 3000000,
      "visitCount": 30
    }
  ],
  "pagination": {
    "first": "string",
    "last": "string",
    "next": "string",
    "previous": "string",
    "total": 0
  },
  "startDate": "string",
  "endDate": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string",
  "retryAfterSec": 0
}
{
  "code": "string",
  "fields": [
    {
      "code": "string",
      "message": "string",
      "path": "string",
      "pathRelated": "string"
    }
  ],
  "message": "string"
}

Last updated on

How is this guide?